## python-certbot-dns-ovh 4.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = certbot-dns-ovh
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-certbot-dns-ovh 0.31.0

=== debian/changelog ===
python-certbot-dns-ovh (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0
  * Bump deps per upstream.
  * Bump S-V; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 09 Feb 2019 20:19:23 -0500

python-certbot-dns-ovh (0.28.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #917505)
  * Adjust dep version on lexicon

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 28 Dec 2018 00:00:17 -0500

python-certbot-dns-ovh (0.27.1-1) unstable; urgency=medium

  * Initial release. (Closes: #903850)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 01 Nov 2018 21:49:27 -0400

=== debian/control ===
Source: python-certbot-dns-ovh
Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-acme (>= 0.30.0~),
               python3-certbot (>= 0.30.0~),
               python3-lexicon (>= 2.7.14~),
               python3-mock,
               python3-setuptools (>= 1.0),
               python3-sphinx (>= 1.3.1-1~),
               python3-sphinx-rtd-theme,
               python3-zope.interface
Standards-Version: 4.3.0
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-certbot-dns-ovh
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Enhances: certbot
Description: OVH DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the Ovh DNS plugin to the main application.

Package: python-certbot-dns-ovh-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the OVH DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This package contains the documentation for the OVH DNS plugin to
 the main application.

## python-certbot-dns-ovh 1.3.0

=== debian/changelog ===
python-certbot-dns-ovh (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Switch to using Provides for API management
  * Add dep on pytest
  * Bump S-V, swiching to debhelper-compat

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 27 Apr 2020 20:07:02 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
-               python3-acme (>= 0.30.0~),
-               python3-certbot (>= 0.30.0~),
+               python3-acme-abi-1,
+               python3-certbot-abi-1 (>= 1.1),
                python3-lexicon (>= 2.7.14~),
                python3-mock,
+	       python3-pytest,
                python3-setuptools (>= 1.0),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh
@@ -23,7 +24,9 @@
 
 Package: python3-certbot-dns-ovh
 Architecture: all
-Depends: ${python3:Depends},
+Depends: certbot,
+	 python3-certbot-abi-1 (>= 1.1),
+	 ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot
 Description: OVH DNS plugin for Certbot

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-ovh

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-ovh \
		-p python-certbot-dns-ovh-doc
	dh_installdocs -p python3-certbot-dns-ovh

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot-dns-ovh/certbot-dns-ovh-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-dns-ovh 2.1.0

=== debian/changelog ===
python-certbot-dns-ovh (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * New signing key.
  * Wrap-and-sort
  * Bump version dependencies
  * Bump dh, s-v; no changes needed
  * Switch to dynamic versioning for Depends

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Dec 2022 20:48:24 -0500

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1,
-               python3-certbot-abi-1 (>= 1.1),
-               python3-lexicon (>= 2.7.14~),
+               python3-acme-abi-2 (>= 2.1),
+               python3-certbot-abi-2 (>= 2.1),
+               python3-lexicon,
                python3-mock,
-	       python3-pytest,
-               python3-setuptools (>= 1.0),
+               python3-pytest,
+               python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh
@@ -25,9 +25,9 @@
 Package: python3-certbot-dns-ovh
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-1 (>= 1.1),
-	 ${python3:Depends},
-         ${misc:Depends}
+         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Enhances: certbot
 Description: OVH DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
@@ -49,7 +49,7 @@
 Package: python-certbot-dns-ovh-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the OVH DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

## python-certbot-dns-ovh 2.9.0

=== debian/changelog ===
python-certbot-dns-ovh (2.9.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Harlan Lieberman-Berg ]
  * New upstream version 2.9.0 (Closes: #1054635)
  * Bump dependencies based on setup.py
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 16 Feb 2024 15:30:43 -0500

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                python3,
                python3-acme-abi-2 (>= 2.1),
                python3-certbot-abi-2 (>= 2.1),
-               python3-lexicon,
+               python3-lexicon (>= 3.15.1),
                python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh

## python-certbot-dns-ovh 4.0.0

=== debian/changelog ===
python-certbot-dns-ovh (4.0.0-2) unstable; urgency=medium

  * Team Upload
  * Drop extraneous dependency on python3-mock (Closes: #1106507)
  * Use new dh-sequence-python3
  * Use newer & shorter syntax for debian/rules
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 17:18:04 +0100

python-certbot-dns-ovh (4.0.0-1) unstable; urgency=medium

  * d/watch: newer packages use an underscore
  * New upstream version 4.0.0
  * Bump dependency requirements (Closes: #1106476)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 22:49:37 -0400

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,27 @@
 Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
-               python3-acme-abi-2 (>= 2.1),
-               python3-certbot-abi-2 (>= 2.1),
+               python3-acme-abi-4 (>= 4.0~),
+               python3-certbot-abi-4 (>= 4.0~),
                python3-lexicon (>= 3.15.1),
-               python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-ovh
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-certbot-dns-ovh
 Architecture: all
 Depends: certbot,
-         python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+         python3-certbot-abi-4 (>= ${Abi-major-minor-version}),
          ${misc:Depends},
          ${python3:Depends}
 Enhances: certbot
@@ -48,6 +45,7 @@
 
 Package: python-certbot-dns-ovh-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Documentation for the OVH DNS plugin for Certbot

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = certbot-dns-ovh

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-ovh \
		-p python-certbot-dns-ovh-doc
	dh_installdocs -p python3-certbot-dns-ovh

override_dh_gencontrol:
	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars
	dh_gencontrol -- -Tdebian/abi.substvars

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/certbot-dns-ovh/
Matching-Pattern: certbot_dns_ovh-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Pgpsigurlmangle: s/$/.asc/
Uversionmangle: s/(rc|a|b|c)/~$1/
